> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Styles

> List the current user's styles.



## OpenAPI

````yaml /openapi.json get /api/v1/allmodelchat/styles
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/allmodelchat/styles:
    get:
      tags:
        - AllModelChat
      summary: List Styles
      description: List the current user's styles.
      operationId: list_styles_api_v1_allmodelchat_styles_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/AmcStyleResponse'
                type: array
                title: Response List Styles Api V1 Allmodelchat Styles Get
      security:
        - HTTPBearer: []
components:
  schemas:
    AmcStyleResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        system_prompt:
          type: string
          title: System Prompt
        output_format:
          anyOf:
            - type: string
            - type: 'null'
          title: Output Format
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
        is_default:
          type: boolean
          title: Is Default
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - name
        - system_prompt
        - output_format
        - language
        - is_default
        - created_at
        - updated_at
      title: AmcStyleResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````